# collections\_info

The function `collections_info()` lists the existing collections, their creation time and size in the form of a dictionary.

**Example**

{% tabs %}
{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
print(hyperspace_client.collections_info())
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
Object info = client.collectionsInfo();
System.out.println(new Gson().toJson(info));
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```javascript
const {info } = await hyperspaceClient.collectionsInfo();
console.log(info );
```

{% endcode %}
{% endtab %}
{% endtabs %}

**Response**

A status message similar to the following should appear –

*{'collections': {'Movies': {'creation\_time': '2023-12-06T09:52:12Z', 'size': 40951}, 'online\_products': {'creation\_time': '2023-12-03T16:15:36Z', 'size': 5034174}}}*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/collections_info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
